package ch.zhaw.projekt2.turnierverwaltung.main;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

import java.io.IOException;

public class MainWindow extends Application {
    @Override
    public void start(Stage primaryStage) throws Exception {
        FXMLLoader loader = new FXMLLoader(getClass().getResource("mainWindow.fxml"));
        Pane pane = loader.load();
        Scene scene = new Scene(pane);
        primaryStage.setScene(scene);
        primaryStage.setFullScreen(true);
        primaryStage.setResizable(false);
        primaryStage.show();
    }

    //Can be used to Open new Scene in same Stage.
    //This way possible to later give object to Controller
    public void startParticipand(Stage stage) {
        FXMLLoader loader = new FXMLLoader(getClass().getResource("..\\participandAddFormular\\participandFormular.fxml"));
        try {
            Pane pane = loader.load();
            Scene scene = new Scene(pane);
            stage.setScene(scene);
            stage.setFullScreen(true);
            stage.setResizable(false);
            stage.show();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
